Index: doc/latex/libDS__ui_8h__incl.eps
===================================================================
--- doc/latex/libDS__ui_8h__incl.eps (revision 264)
+++ doc/latex/libDS__ui_8h__incl.eps (revision 270)
@@ -252,5 +252,5 @@
 closepath stroke
 grestore
-% Node9
+% Node10
 gsave
 [ /Rect [ 122 291 218 311 ]
@@ -277,5 +277,5 @@
 130 297.5 moveto 80 (stat/loggers_ui.h) alignedtext
 grestore
-% Node1->Node9
+% Node1->Node10
 gsave
 1 setlinewidth
@@ -300,5 +300,5 @@
 % Node3
 gsave
-[ /Rect [ 110 175 160 195 ]
+[ /Rect [ 113 175 163 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 110 174 moveto
-110 195 lineto
-161 195 lineto
-161 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 110 174 moveto
-110 195 lineto
-161 195 lineto
-161 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-117.5 181.5 moveto 35 (libBM.h) alignedtext
+newpath 113 174 moveto
+113 195 lineto
+164 195 lineto
+164 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 113 174 moveto
+113 195 lineto
+164 195 lineto
+164 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+120.5 181.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node2->Node3
@@ -328,21 +328,21 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 84 290 moveto
-94 271 113 229 125 204 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 128.2 205.44 moveto
-130 195 lineto
-122.08 202.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 128.2 205.44 moveto
-130 195 lineto
-122.08 202.04 lineto
-closepath stroke
-grestore
-% Node6
+newpath 85 290 moveto
+95 271 116 229 128 204 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 131.2 205.44 moveto
+133 195 lineto
+125.08 202.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 131.2 205.44 moveto
+133 195 lineto
+125.08 202.04 lineto
+closepath stroke
+grestore
+% Node7
 gsave
 [ /Rect [ 24 233 68 253 ]
@@ -369,5 +369,5 @@
 31.5 239.5 moveto 29 (libEF.h) alignedtext
 grestore
-% Node2->Node6
+% Node2->Node7
 gsave
 1 setlinewidth
@@ -392,5 +392,5 @@
 % Node4
 gsave
-[ /Rect [ 93 59 165 79 ]
+[ /Rect [ 63 59 135 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -398,20 +398,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 93 58 moveto
-93 79 lineto
-165 79 lineto
-165 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 93 58 moveto
-93 79 lineto
-165 79 lineto
-165 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-101 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 63 58 moveto
+63 79 lineto
+135 79 lineto
+135 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 63 58 moveto
+63 79 lineto
+135 79 lineto
+135 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+71 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node3->Node4
@@ -420,18 +420,60 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 134 174 moveto
-133 155 132 114 130 89 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 133.5 89 moveto
-130 79 lineto
-126.5 89 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 133.5 89 moveto
-130 79 lineto
-126.5 89 lineto
+newpath 133 174 moveto
+128 164 122 150 118 138 curveto
+112 121 107 103 103 89 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 106.39 88.12 moveto
+101 79 lineto
+99.53 89.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 106.39 88.12 moveto
+101 79 lineto
+99.53 89.49 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 127 116 moveto
+127 137 lineto
+165 137 lineto
+165 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 127 116 moveto
+127 137 lineto
+165 137 lineto
+165 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+135 123.5 moveto 22 (map) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 140 174 moveto
+141 166 142 156 143 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 146.47 147.49 moveto
+145 137 lineto
+139.61 146.12 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146.47 147.49 moveto
+145 137 lineto
+139.61 146.12 lineto
 closepath stroke
 grestore
@@ -439,20 +481,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 124 0 moveto
-124 21 lineto
-199 21 lineto
-199 0 lineto
+newpath 109 0 moveto
+109 21 lineto
+184 21 lineto
+184 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 124 0 moveto
-124 21 lineto
-199 21 lineto
-199 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-131.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 109 0 moveto
+109 21 lineto
+184 21 lineto
+184 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+116.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node4->Node5
@@ -461,42 +503,42 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 135 58 moveto
-139 50 145 39 150 30 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 153.2 31.44 moveto
-155 21 lineto
-147.08 28.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 153.2 31.44 moveto
-155 21 lineto
-147.08 28.04 lineto
-closepath stroke
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 63 232 moveto
-76 223 96 210 111 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 112.96 202.92 moveto
-120 195 lineto
-109.56 196.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 112.96 202.92 moveto
-120 195 lineto
-109.56 196.8 lineto
-closepath stroke
-grestore
-% Node7
+newpath 108 58 moveto
+115 50 124 38 132 29 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 134.8 31.1 moveto
+138 21 lineto
+129.2 26.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 134.8 31.1 moveto
+138 21 lineto
+129.2 26.9 lineto
+closepath stroke
+grestore
+% Node7->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 64 232 moveto
+77 223 98 210 113 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 114.96 202.92 moveto
+122 195 lineto
+111.56 196.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 114.96 202.92 moveto
+122 195 lineto
+111.56 196.8 lineto
+closepath stroke
+grestore
+% Node8
 gsave
 [ /Rect [ 0 175 92 195 ]
@@ -523,5 +565,5 @@
 7.5 181.5 moveto 77 (../math/chmat.h) alignedtext
 grestore
-% Node6->Node7
+% Node7->Node8
 gsave
 1 setlinewidth
@@ -544,7 +586,7 @@
 closepath stroke
 grestore
-% Node8
-gsave
-[ /Rect [ 38 117 88 137 ]
+% Node9
+gsave
+[ /Rect [ 21 117 71 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -552,64 +594,64 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 38 116 moveto
-38 137 lineto
-88 137 lineto
-88 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 38 116 moveto
-38 137 lineto
-88 137 lineto
-88 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-46 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node7->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 49 174 moveto
-51 166 54 156 57 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 60.48 147.58 moveto
-60 137 lineto
-53.77 145.57 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 60.48 147.58 moveto
-60 137 lineto
-53.77 145.57 lineto
-closepath stroke
-grestore
-% Node8->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 76 116 moveto
-86 107 99 95 110 86 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 112.78 88.22 moveto
-118 79 lineto
-108.17 82.95 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 112.78 88.22 moveto
-118 79 lineto
-108.17 82.95 lineto
-closepath stroke
-grestore
-% Node10
+newpath 21 116 moveto
+21 137 lineto
+71 137 lineto
+71 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 21 116 moveto
+21 137 lineto
+71 137 lineto
+71 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+29 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 46 174 moveto
+46 166 46 156 46 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 49.5 147 moveto
+46 137 lineto
+42.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 49.5 147 moveto
+46 137 lineto
+42.5 147 lineto
+closepath stroke
+grestore
+% Node9->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 56 116 moveto
+64 107 74 96 83 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 86.05 88.83 moveto
+90 79 lineto
+80.78 84.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 86.05 88.83 moveto
+90 79 lineto
+80.78 84.22 lineto
+closepath stroke
+grestore
+% Node11
 gsave
 [ /Rect [ 124 233 184 253 ]
@@ -636,5 +678,5 @@
 132 239.5 moveto 44 (loggers.h) alignedtext
 grestore
-% Node9->Node10
+% Node10->Node11
 gsave
 1 setlinewidth
@@ -657,5 +699,5 @@
 closepath stroke
 grestore
-% Node11
+% Node12
 gsave
 [ /Rect [ 202 233 266 253 ]
@@ -682,5 +724,5 @@
 209.5 239.5 moveto 49 (uibuilder.h) alignedtext
 grestore
-% Node9->Node11
+% Node10->Node12
 gsave
 1 setlinewidth
@@ -703,25 +745,4 @@
 closepath stroke
 grestore
-% Node10->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150 232 moveto
-148 224 145 214 142 205 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 144.96 202.98 moveto
-138 195 lineto
-138.46 205.58 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 144.96 202.98 moveto
-138 195 lineto
-138.46 205.58 lineto
-closepath stroke
-grestore
 % Node11->Node3
 gsave
@@ -729,21 +750,42 @@
 solid
 0.667 0.776 0.439 edgecolor
+newpath 151 232 moveto
+149 224 146 214 143 205 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 146.39 204.12 moveto
+141 195 lineto
+139.53 205.49 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 146.39 204.12 moveto
+141 195 lineto
+139.53 205.49 lineto
+closepath stroke
+grestore
+% Node12->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
 newpath 215 232 moveto
-200 223 178 210 161 200 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 162.44 196.8 moveto
-152 195 lineto
-159.04 202.92 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 162.44 196.8 moveto
-152 195 lineto
-159.04 202.92 lineto
-closepath stroke
-grestore
-% Node11->Node5
+201 223 180 210 164 200 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 165.44 196.8 moveto
+155 195 lineto
+162.04 202.92 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 165.44 196.8 moveto
+155 195 lineto
+162.04 202.92 lineto
+closepath stroke
+grestore
+% Node12->Node5
 gsave
 1 setlinewidth
@@ -751,22 +793,21 @@
 0.667 0.776 0.439 edgecolor
 newpath 228 232 moveto
-223 222 216 208 212 196 curveto
-189 136 190 119 174 58 curveto
-171 49 168 39 166 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 169.39 30.12 moveto
-164 21 lineto
-162.53 31.49 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 169.39 30.12 moveto
-164 21 lineto
-162.53 31.49 lineto
-closepath stroke
-grestore
-% Node12
+223 222 217 208 212 196 curveto
+187 136 163 65 152 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 155.23 29.57 moveto
+149 21 lineto
+148.52 31.58 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155.23 29.57 moveto
+149 21 lineto
+148.52 31.58 lineto
+closepath stroke
+grestore
+% Node13
 gsave
 0.000 0.000 1.000 nodecolor
@@ -788,5 +829,5 @@
 228.5 181.5 moveto 107 (libconfig/libconfig.h++) alignedtext
 grestore
-% Node11->Node12
+% Node12->Node13
 gsave
 1 setlinewidth
